Public Class SetFrameSizeForm

    Private m_time As Integer = 0

    Public Property Time() As Integer
        Get
            Return m_time
        End Get
        Set(ByVal value As Integer)
            m_time = value
        End Set
    End Property

    Private Sub SetFrameSizeForm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ui_txtTime.Text = Convert.ToString(m_time)
    End Sub

    Private Sub SetFrameSizeForm_FormClosed(ByVal sender As System.Object, ByVal e As System.Windows.Forms.FormClosedEventArgs) Handles MyBase.FormClosed
        Try
            m_time = Convert.ToInt32(ui_txtTime.Text)
        Catch ex As Exception
            MessageBox.Show("Wrong value of time!", "Flash Video Composer", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Me.DialogResult = Windows.Forms.DialogResult.Abort
        End Try
    End Sub

End Class